# Form implementation generated from reading ui file 'src/eric7/UI/Previewers/PreviewerQSS.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PreviewerQSS(object):
    def setupUi(self, PreviewerQSS):
        PreviewerQSS.setObjectName("PreviewerQSS")
        PreviewerQSS.resize(600, 970)
        PreviewerQSS.setWindowTitle("")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(PreviewerQSS)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.previewLabel = QtWidgets.QLabel(parent=PreviewerQSS)
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        self.previewLabel.setFont(font)
        self.previewLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.previewLabel.setObjectName("previewLabel")
        self.verticalLayout_7.addWidget(self.previewLabel)
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.label_3 = QtWidgets.QLabel(parent=PreviewerQSS)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_7.addWidget(self.label_3)
        self.styleIconsPathPicker = EricPathPicker(parent=PreviewerQSS)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.styleIconsPathPicker.sizePolicy().hasHeightForWidth())
        self.styleIconsPathPicker.setSizePolicy(sizePolicy)
        self.styleIconsPathPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.styleIconsPathPicker.setObjectName("styleIconsPathPicker")
        self.horizontalLayout_7.addWidget(self.styleIconsPathPicker)
        self.verticalLayout_7.addLayout(self.horizontalLayout_7)
        self.scrollArea = QtWidgets.QScrollArea(parent=PreviewerQSS)
        self.scrollArea.setVerticalScrollBarPolicy(QtCore.Qt.ScrollBarPolicy.ScrollBarAlwaysOn)
        self.scrollArea.setHorizontalScrollBarPolicy(QtCore.Qt.ScrollBarPolicy.ScrollBarAlwaysOn)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, 0, 566, 882))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.scrollAreaWidgetContents)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.tabWidget = QtWidgets.QTabWidget(parent=self.scrollAreaWidgetContents)
        self.tabWidget.setTabsClosable(True)
        self.tabWidget.setObjectName("tabWidget")
        self.tab_1 = QtWidgets.QWidget()
        self.tab_1.setObjectName("tab_1")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.tab_1)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.groupBox_2 = QtWidgets.QGroupBox(parent=self.tab_1)
        self.groupBox_2.setCheckable(True)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.gridLayout_4 = QtWidgets.QGridLayout()
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.radioButton = QtWidgets.QRadioButton(parent=self.groupBox_2)
        self.radioButton.setText("RadioButton")
        self.radioButton.setObjectName("radioButton")
        self.gridLayout_4.addWidget(self.radioButton, 0, 0, 1, 1)
        self.checkBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.checkBox.setText("CheckBox")
        self.checkBox.setTristate(True)
        self.checkBox.setObjectName("checkBox")
        self.gridLayout_4.addWidget(self.checkBox, 0, 1, 1, 1)
        self.pushButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pushButton.sizePolicy().hasHeightForWidth())
        self.pushButton.setSizePolicy(sizePolicy)
        self.pushButton.setText("PushButton")
        self.pushButton.setCheckable(True)
        self.pushButton.setObjectName("pushButton")
        self.gridLayout_4.addWidget(self.pushButton, 1, 0, 1, 1)
        self.toolButton_1 = QtWidgets.QToolButton(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.toolButton_1.sizePolicy().hasHeightForWidth())
        self.toolButton_1.setSizePolicy(sizePolicy)
        self.toolButton_1.setText("ToolButton 1")
        self.toolButton_1.setPopupMode(QtWidgets.QToolButton.ToolButtonPopupMode.DelayedPopup)
        self.toolButton_1.setObjectName("toolButton_1")
        self.gridLayout_4.addWidget(self.toolButton_1, 1, 1, 1, 1)
        self.toolButton_2 = QtWidgets.QToolButton(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.toolButton_2.sizePolicy().hasHeightForWidth())
        self.toolButton_2.setSizePolicy(sizePolicy)
        self.toolButton_2.setText("ToolButton 2")
        self.toolButton_2.setPopupMode(QtWidgets.QToolButton.ToolButtonPopupMode.MenuButtonPopup)
        self.toolButton_2.setObjectName("toolButton_2")
        self.gridLayout_4.addWidget(self.toolButton_2, 2, 0, 1, 1)
        self.toolButton_3 = QtWidgets.QToolButton(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.toolButton_3.sizePolicy().hasHeightForWidth())
        self.toolButton_3.setSizePolicy(sizePolicy)
        self.toolButton_3.setText("ToolButton 3")
        self.toolButton_3.setPopupMode(QtWidgets.QToolButton.ToolButtonPopupMode.InstantPopup)
        self.toolButton_3.setObjectName("toolButton_3")
        self.gridLayout_4.addWidget(self.toolButton_3, 2, 1, 1, 1)
        self.spinBox = QtWidgets.QSpinBox(parent=self.groupBox_2)
        self.spinBox.setObjectName("spinBox")
        self.gridLayout_4.addWidget(self.spinBox, 3, 0, 1, 1)
        self.doubleSpinBox = QtWidgets.QDoubleSpinBox(parent=self.groupBox_2)
        self.doubleSpinBox.setObjectName("doubleSpinBox")
        self.gridLayout_4.addWidget(self.doubleSpinBox, 3, 1, 1, 1)
        self.timeEdit = QtWidgets.QTimeEdit(parent=self.groupBox_2)
        self.timeEdit.setObjectName("timeEdit")
        self.gridLayout_4.addWidget(self.timeEdit, 4, 0, 1, 1)
        self.dateEdit = QtWidgets.QDateEdit(parent=self.groupBox_2)
        self.dateEdit.setObjectName("dateEdit")
        self.gridLayout_4.addWidget(self.dateEdit, 4, 1, 1, 1)
        self.lcdNumber = QtWidgets.QLCDNumber(parent=self.groupBox_2)
        self.lcdNumber.setDigitCount(10)
        self.lcdNumber.setProperty("intValue", 1234567890)
        self.lcdNumber.setObjectName("lcdNumber")
        self.gridLayout_4.addWidget(self.lcdNumber, 5, 0, 1, 1)
        self.label = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label.setText("Label with <a href=\"http://google.com\">link</a>")
        self.label.setObjectName("label")
        self.gridLayout_4.addWidget(self.label, 5, 1, 1, 1)
        self.verticalLayout_4.addLayout(self.gridLayout_4)
        self.commandLinkButton = QtWidgets.QCommandLinkButton(parent=self.groupBox_2)
        self.commandLinkButton.setText("CommandLinkButton")
        self.commandLinkButton.setObjectName("commandLinkButton")
        self.verticalLayout_4.addWidget(self.commandLinkButton)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=self.groupBox_2)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_4.addWidget(self.buttonBox)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.progressBar = QtWidgets.QProgressBar(parent=self.groupBox_2)
        self.progressBar.setMaximum(20)
        self.progressBar.setProperty("value", 10)
        self.progressBar.setObjectName("progressBar")
        self.verticalLayout_3.addWidget(self.progressBar)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.readOnlyComboBox = QtWidgets.QComboBox(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.readOnlyComboBox.sizePolicy().hasHeightForWidth())
        self.readOnlyComboBox.setSizePolicy(sizePolicy)
        self.readOnlyComboBox.setObjectName("readOnlyComboBox")
        self.readOnlyComboBox.addItem("")
        self.readOnlyComboBox.setItemText(0, "1")
        self.readOnlyComboBox.addItem("")
        self.readOnlyComboBox.setItemText(1, "2")
        self.readOnlyComboBox.addItem("")
        self.readOnlyComboBox.setItemText(2, "3")
        self.horizontalLayout.addWidget(self.readOnlyComboBox)
        self.editableComboBox = QtWidgets.QComboBox(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.editableComboBox.sizePolicy().hasHeightForWidth())
        self.editableComboBox.setSizePolicy(sizePolicy)
        self.editableComboBox.setEditable(True)
        self.editableComboBox.setObjectName("editableComboBox")
        self.editableComboBox.addItem("")
        self.editableComboBox.setItemText(0, "1")
        self.editableComboBox.addItem("")
        self.editableComboBox.setItemText(1, "2")
        self.editableComboBox.addItem("")
        self.editableComboBox.setItemText(2, "3")
        self.horizontalLayout.addWidget(self.editableComboBox)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.lineEdit = QtWidgets.QLineEdit(parent=self.groupBox_2)
        self.lineEdit.setText("Line edit")
        self.lineEdit.setObjectName("lineEdit")
        self.horizontalLayout_4.addWidget(self.lineEdit)
        self.passwordEdit = QtWidgets.QLineEdit(parent=self.groupBox_2)
        self.passwordEdit.setText("Password")
        self.passwordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.passwordEdit.setObjectName("passwordEdit")
        self.horizontalLayout_4.addWidget(self.passwordEdit)
        self.verticalLayout_3.addLayout(self.horizontalLayout_4)
        self.dateTimeEdit = QtWidgets.QDateTimeEdit(parent=self.groupBox_2)
        self.dateTimeEdit.setCalendarPopup(True)
        self.dateTimeEdit.setObjectName("dateTimeEdit")
        self.verticalLayout_3.addWidget(self.dateTimeEdit)
        self.verticalLayout_4.addLayout(self.verticalLayout_3)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem = QtWidgets.QSpacerItem(13, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.horizontalScrollBar = QtWidgets.QScrollBar(parent=self.groupBox_2)
        self.horizontalScrollBar.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.horizontalScrollBar.setObjectName("horizontalScrollBar")
        self.gridLayout.addWidget(self.horizontalScrollBar, 0, 1, 1, 3)
        self.verticalScrollBar = QtWidgets.QScrollBar(parent=self.groupBox_2)
        self.verticalScrollBar.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.verticalScrollBar.setObjectName("verticalScrollBar")
        self.gridLayout.addWidget(self.verticalScrollBar, 1, 0, 3, 1)
        self.horizontalLine = QtWidgets.QFrame(parent=self.groupBox_2)
        self.horizontalLine.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.horizontalLine.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.horizontalLine.setObjectName("horizontalLine")
        self.gridLayout.addWidget(self.horizontalLine, 1, 3, 1, 1)
        self.horizontalSlider = QtWidgets.QSlider(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.horizontalSlider.sizePolicy().hasHeightForWidth())
        self.horizontalSlider.setSizePolicy(sizePolicy)
        self.horizontalSlider.setProperty("value", 30)
        self.horizontalSlider.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.horizontalSlider.setTickPosition(QtWidgets.QSlider.TickPosition.TicksAbove)
        self.horizontalSlider.setObjectName("horizontalSlider")
        self.gridLayout.addWidget(self.horizontalSlider, 2, 3, 1, 1)
        self.verticalLine = QtWidgets.QFrame(parent=self.groupBox_2)
        self.verticalLine.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.verticalLine.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.verticalLine.setObjectName("verticalLine")
        self.gridLayout.addWidget(self.verticalLine, 3, 1, 1, 1)
        self.verticalSlider = QtWidgets.QSlider(parent=self.groupBox_2)
        self.verticalSlider.setProperty("value", 30)
        self.verticalSlider.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.verticalSlider.setTickPosition(QtWidgets.QSlider.TickPosition.TicksAbove)
        self.verticalSlider.setObjectName("verticalSlider")
        self.gridLayout.addWidget(self.verticalSlider, 3, 2, 1, 1)
        self.dial = QtWidgets.QDial(parent=self.groupBox_2)
        self.dial.setNotchesVisible(True)
        self.dial.setObjectName("dial")
        self.gridLayout.addWidget(self.dial, 3, 3, 1, 1)
        self.horizontalLayout_2.addLayout(self.gridLayout)
        spacerItem1 = QtWidgets.QSpacerItem(17, 134, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.verticalLayout_4.addLayout(self.horizontalLayout_2)
        self.gridLayout_7.addWidget(self.groupBox_2, 0, 0, 1, 1)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=self.tab_1)
        self.groupBox_3.setObjectName("groupBox_3")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.groupBox_3)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.gridLayout_5 = QtWidgets.QGridLayout()
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.disabledRadioButton = QtWidgets.QRadioButton(parent=self.groupBox_3)
        self.disabledRadioButton.setEnabled(False)
        self.disabledRadioButton.setText("RadioButton")
        self.disabledRadioButton.setObjectName("disabledRadioButton")
        self.gridLayout_5.addWidget(self.disabledRadioButton, 0, 0, 1, 1)
        self.disabledCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.disabledCheckBox.setEnabled(False)
        self.disabledCheckBox.setText("CheckBox")
        self.disabledCheckBox.setTristate(True)
        self.disabledCheckBox.setObjectName("disabledCheckBox")
        self.gridLayout_5.addWidget(self.disabledCheckBox, 0, 1, 1, 1)
        self.disabledPushButton = QtWidgets.QPushButton(parent=self.groupBox_3)
        self.disabledPushButton.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disabledPushButton.sizePolicy().hasHeightForWidth())
        self.disabledPushButton.setSizePolicy(sizePolicy)
        self.disabledPushButton.setText("PushButton")
        self.disabledPushButton.setCheckable(True)
        self.disabledPushButton.setObjectName("disabledPushButton")
        self.gridLayout_5.addWidget(self.disabledPushButton, 1, 0, 1, 1)
        self.disabledToolButton_1 = QtWidgets.QToolButton(parent=self.groupBox_3)
        self.disabledToolButton_1.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disabledToolButton_1.sizePolicy().hasHeightForWidth())
        self.disabledToolButton_1.setSizePolicy(sizePolicy)
        self.disabledToolButton_1.setText("ToolButton 1")
        self.disabledToolButton_1.setCheckable(True)
        self.disabledToolButton_1.setPopupMode(QtWidgets.QToolButton.ToolButtonPopupMode.InstantPopup)
        self.disabledToolButton_1.setObjectName("disabledToolButton_1")
        self.gridLayout_5.addWidget(self.disabledToolButton_1, 1, 1, 1, 1)
        self.disabledToolButton_2 = QtWidgets.QToolButton(parent=self.groupBox_3)
        self.disabledToolButton_2.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disabledToolButton_2.sizePolicy().hasHeightForWidth())
        self.disabledToolButton_2.setSizePolicy(sizePolicy)
        self.disabledToolButton_2.setText("ToolButton 2")
        self.disabledToolButton_2.setPopupMode(QtWidgets.QToolButton.ToolButtonPopupMode.MenuButtonPopup)
        self.disabledToolButton_2.setObjectName("disabledToolButton_2")
        self.gridLayout_5.addWidget(self.disabledToolButton_2, 2, 0, 1, 1)
        self.disabledToolButton_3 = QtWidgets.QToolButton(parent=self.groupBox_3)
        self.disabledToolButton_3.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disabledToolButton_3.sizePolicy().hasHeightForWidth())
        self.disabledToolButton_3.setSizePolicy(sizePolicy)
        self.disabledToolButton_3.setText("ToolButton 3")
        self.disabledToolButton_3.setPopupMode(QtWidgets.QToolButton.ToolButtonPopupMode.InstantPopup)
        self.disabledToolButton_3.setObjectName("disabledToolButton_3")
        self.gridLayout_5.addWidget(self.disabledToolButton_3, 2, 1, 1, 1)
        self.disabledSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.disabledSpinBox.setEnabled(False)
        self.disabledSpinBox.setObjectName("disabledSpinBox")
        self.gridLayout_5.addWidget(self.disabledSpinBox, 3, 0, 1, 1)
        self.disabledDoubleSpinBox = QtWidgets.QDoubleSpinBox(parent=self.groupBox_3)
        self.disabledDoubleSpinBox.setEnabled(False)
        self.disabledDoubleSpinBox.setObjectName("disabledDoubleSpinBox")
        self.gridLayout_5.addWidget(self.disabledDoubleSpinBox, 3, 1, 1, 1)
        self.disabledTimeEdit = QtWidgets.QTimeEdit(parent=self.groupBox_3)
        self.disabledTimeEdit.setEnabled(False)
        self.disabledTimeEdit.setObjectName("disabledTimeEdit")
        self.gridLayout_5.addWidget(self.disabledTimeEdit, 4, 0, 1, 1)
        self.disabledDateEdit = QtWidgets.QDateEdit(parent=self.groupBox_3)
        self.disabledDateEdit.setEnabled(False)
        self.disabledDateEdit.setObjectName("disabledDateEdit")
        self.gridLayout_5.addWidget(self.disabledDateEdit, 4, 1, 1, 1)
        self.disabledLcdNumber = QtWidgets.QLCDNumber(parent=self.groupBox_3)
        self.disabledLcdNumber.setEnabled(False)
        self.disabledLcdNumber.setDigitCount(10)
        self.disabledLcdNumber.setProperty("intValue", 1234567890)
        self.disabledLcdNumber.setObjectName("disabledLcdNumber")
        self.gridLayout_5.addWidget(self.disabledLcdNumber, 5, 0, 1, 1)
        self.disabledLabel = QtWidgets.QLabel(parent=self.groupBox_3)
        self.disabledLabel.setEnabled(False)
        self.disabledLabel.setText("Label with <a href=\"http://google.com\">link</a>")
        self.disabledLabel.setObjectName("disabledLabel")
        self.gridLayout_5.addWidget(self.disabledLabel, 5, 1, 1, 1)
        self.verticalLayout_5.addLayout(self.gridLayout_5)
        self.disabledCommandLinkButton = QtWidgets.QCommandLinkButton(parent=self.groupBox_3)
        self.disabledCommandLinkButton.setEnabled(False)
        self.disabledCommandLinkButton.setText("CommandLinkButton")
        self.disabledCommandLinkButton.setObjectName("disabledCommandLinkButton")
        self.verticalLayout_5.addWidget(self.disabledCommandLinkButton)
        self.disabledButtonBox = QtWidgets.QDialogButtonBox(parent=self.groupBox_3)
        self.disabledButtonBox.setEnabled(False)
        self.disabledButtonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.disabledButtonBox.setObjectName("disabledButtonBox")
        self.verticalLayout_5.addWidget(self.disabledButtonBox)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout()
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.disabledProgressBar = QtWidgets.QProgressBar(parent=self.groupBox_3)
        self.disabledProgressBar.setEnabled(False)
        self.disabledProgressBar.setMaximum(20)
        self.disabledProgressBar.setProperty("value", 10)
        self.disabledProgressBar.setObjectName("disabledProgressBar")
        self.verticalLayout_6.addWidget(self.disabledProgressBar)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.disabledReadOnlyComboBox = QtWidgets.QComboBox(parent=self.groupBox_3)
        self.disabledReadOnlyComboBox.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disabledReadOnlyComboBox.sizePolicy().hasHeightForWidth())
        self.disabledReadOnlyComboBox.setSizePolicy(sizePolicy)
        self.disabledReadOnlyComboBox.setObjectName("disabledReadOnlyComboBox")
        self.disabledReadOnlyComboBox.addItem("")
        self.disabledReadOnlyComboBox.setItemText(0, "1")
        self.disabledReadOnlyComboBox.addItem("")
        self.disabledReadOnlyComboBox.setItemText(1, "2")
        self.disabledReadOnlyComboBox.addItem("")
        self.disabledReadOnlyComboBox.setItemText(2, "3")
        self.horizontalLayout_3.addWidget(self.disabledReadOnlyComboBox)
        self.disabledEditableComboBox = QtWidgets.QComboBox(parent=self.groupBox_3)
        self.disabledEditableComboBox.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disabledEditableComboBox.sizePolicy().hasHeightForWidth())
        self.disabledEditableComboBox.setSizePolicy(sizePolicy)
        self.disabledEditableComboBox.setEditable(True)
        self.disabledEditableComboBox.setObjectName("disabledEditableComboBox")
        self.disabledEditableComboBox.addItem("")
        self.disabledEditableComboBox.setItemText(0, "1")
        self.disabledEditableComboBox.addItem("")
        self.disabledEditableComboBox.setItemText(1, "2")
        self.disabledEditableComboBox.addItem("")
        self.disabledEditableComboBox.setItemText(2, "3")
        self.horizontalLayout_3.addWidget(self.disabledEditableComboBox)
        self.verticalLayout_6.addLayout(self.horizontalLayout_3)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.disabledLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.disabledLineEdit.setEnabled(False)
        self.disabledLineEdit.setText("Line edit")
        self.disabledLineEdit.setObjectName("disabledLineEdit")
        self.horizontalLayout_5.addWidget(self.disabledLineEdit)
        self.disabledPasswordEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.disabledPasswordEdit.setEnabled(False)
        self.disabledPasswordEdit.setText("Password")
        self.disabledPasswordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.disabledPasswordEdit.setObjectName("disabledPasswordEdit")
        self.horizontalLayout_5.addWidget(self.disabledPasswordEdit)
        self.verticalLayout_6.addLayout(self.horizontalLayout_5)
        self.disabledDateTimeEdit = QtWidgets.QDateTimeEdit(parent=self.groupBox_3)
        self.disabledDateTimeEdit.setEnabled(False)
        self.disabledDateTimeEdit.setCalendarPopup(True)
        self.disabledDateTimeEdit.setObjectName("disabledDateTimeEdit")
        self.verticalLayout_6.addWidget(self.disabledDateTimeEdit)
        self.verticalLayout_5.addLayout(self.verticalLayout_6)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        spacerItem2 = QtWidgets.QSpacerItem(13, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem2)
        self.gridLayout_6 = QtWidgets.QGridLayout()
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.disabledHorizontalScrollBar = QtWidgets.QScrollBar(parent=self.groupBox_3)
        self.disabledHorizontalScrollBar.setEnabled(False)
        self.disabledHorizontalScrollBar.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.disabledHorizontalScrollBar.setObjectName("disabledHorizontalScrollBar")
        self.gridLayout_6.addWidget(self.disabledHorizontalScrollBar, 0, 1, 1, 3)
        self.disabledVerticalScrollBar = QtWidgets.QScrollBar(parent=self.groupBox_3)
        self.disabledVerticalScrollBar.setEnabled(False)
        self.disabledVerticalScrollBar.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.disabledVerticalScrollBar.setObjectName("disabledVerticalScrollBar")
        self.gridLayout_6.addWidget(self.disabledVerticalScrollBar, 1, 0, 3, 1)
        self.horizontalLine_2 = QtWidgets.QFrame(parent=self.groupBox_3)
        self.horizontalLine_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.horizontalLine_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.horizontalLine_2.setObjectName("horizontalLine_2")
        self.gridLayout_6.addWidget(self.horizontalLine_2, 1, 3, 1, 1)
        self.disabledHorizontalSlider = QtWidgets.QSlider(parent=self.groupBox_3)
        self.disabledHorizontalSlider.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.disabledHorizontalSlider.sizePolicy().hasHeightForWidth())
        self.disabledHorizontalSlider.setSizePolicy(sizePolicy)
        self.disabledHorizontalSlider.setProperty("value", 30)
        self.disabledHorizontalSlider.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.disabledHorizontalSlider.setTickPosition(QtWidgets.QSlider.TickPosition.TicksAbove)
        self.disabledHorizontalSlider.setObjectName("disabledHorizontalSlider")
        self.gridLayout_6.addWidget(self.disabledHorizontalSlider, 2, 3, 1, 1)
        self.verticalLine_2 = QtWidgets.QFrame(parent=self.groupBox_3)
        self.verticalLine_2.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.verticalLine_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.verticalLine_2.setObjectName("verticalLine_2")
        self.gridLayout_6.addWidget(self.verticalLine_2, 3, 1, 1, 1)
        self.disabledVerticalSlider = QtWidgets.QSlider(parent=self.groupBox_3)
        self.disabledVerticalSlider.setEnabled(False)
        self.disabledVerticalSlider.setProperty("value", 30)
        self.disabledVerticalSlider.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.disabledVerticalSlider.setTickPosition(QtWidgets.QSlider.TickPosition.TicksAbove)
        self.disabledVerticalSlider.setObjectName("disabledVerticalSlider")
        self.gridLayout_6.addWidget(self.disabledVerticalSlider, 3, 2, 1, 1)
        self.disabledDial = QtWidgets.QDial(parent=self.groupBox_3)
        self.disabledDial.setEnabled(False)
        self.disabledDial.setNotchesVisible(True)
        self.disabledDial.setObjectName("disabledDial")
        self.gridLayout_6.addWidget(self.disabledDial, 3, 3, 1, 1)
        self.horizontalLayout_6.addLayout(self.gridLayout_6)
        spacerItem3 = QtWidgets.QSpacerItem(13, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem3)
        self.verticalLayout_5.addLayout(self.horizontalLayout_6)
        self.gridLayout_7.addWidget(self.groupBox_3, 0, 1, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout_7.addItem(spacerItem4, 1, 0, 1, 2)
        self.tabWidget.addTab(self.tab_1, "Tab 1")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.tab_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.listWidget = QtWidgets.QListWidget(parent=self.tab_2)
        self.listWidget.setAlternatingRowColors(True)
        self.listWidget.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.listWidget.setObjectName("listWidget")
        item = QtWidgets.QListWidgetItem()
        item.setText("I1")
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/images/battery.png"), QtGui.QIcon.Mode.Normal, QtGui.QIcon.State.Off)
        item.setIcon(icon)
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I2")
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/images/image-sunset.png"), QtGui.QIcon.Mode.Normal, QtGui.QIcon.State.Off)
        item.setIcon(icon1)
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I3")
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/images/user.png"), QtGui.QIcon.Mode.Normal, QtGui.QIcon.State.Off)
        item.setIcon(icon2)
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I4")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I5")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I6")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I7")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I8")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I9")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I10")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I11")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I12")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I14")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I15")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I16")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I17")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I18")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I19")
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        item.setText("I20")
        self.listWidget.addItem(item)
        self.gridLayout_2.addWidget(self.listWidget, 0, 0, 1, 1)
        self.iconsListWidget = QtWidgets.QListWidget(parent=self.tab_2)
        self.iconsListWidget.setAlternatingRowColors(True)
        self.iconsListWidget.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.iconsListWidget.setViewMode(QtWidgets.QListView.ViewMode.IconMode)
        self.iconsListWidget.setObjectName("iconsListWidget")
        self.gridLayout_2.addWidget(self.iconsListWidget, 0, 1, 1, 1)
        self.table = QtWidgets.QTableWidget(parent=self.tab_2)
        self.table.setAlternatingRowColors(True)
        self.table.setObjectName("table")
        self.table.setColumnCount(2)
        self.table.setRowCount(3)
        item = QtWidgets.QTableWidgetItem()
        item.setText("R1")
        self.table.setVerticalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("R2")
        self.table.setVerticalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("R3")
        self.table.setVerticalHeaderItem(2, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("C1")
        self.table.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("C2")
        self.table.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("1,1")
        self.table.setItem(0, 0, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("1,2")
        self.table.setItem(0, 1, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("2,1")
        self.table.setItem(1, 0, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("2,2")
        self.table.setItem(1, 1, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("3,1")
        item.setFlags(QtCore.Qt.ItemFlag.ItemIsSelectable|QtCore.Qt.ItemFlag.ItemIsDragEnabled|QtCore.Qt.ItemFlag.ItemIsUserCheckable)
        self.table.setItem(2, 0, item)
        item = QtWidgets.QTableWidgetItem()
        item.setText("2,3")
        item.setFlags(QtCore.Qt.ItemFlag.ItemIsSelectable|QtCore.Qt.ItemFlag.ItemIsDragEnabled|QtCore.Qt.ItemFlag.ItemIsUserCheckable)
        self.table.setItem(2, 1, item)
        self.table.horizontalHeader().setSortIndicatorShown(True)
        self.table.verticalHeader().setSortIndicatorShown(True)
        self.gridLayout_2.addWidget(self.table, 1, 0, 1, 1)
        self.tree = QtWidgets.QTreeWidget(parent=self.tab_2)
        self.tree.setAlternatingRowColors(True)
        self.tree.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.tree.setAllColumnsShowFocus(True)
        self.tree.setObjectName("tree")
        self.tree.headerItem().setText(0, "C1")
        self.tree.headerItem().setText(1, "C2")
        item_0 = QtWidgets.QTreeWidgetItem(self.tree)
        self.tree.topLevelItem(0).setText(0, "R1")
        item_1 = QtWidgets.QTreeWidgetItem(item_0)
        self.tree.topLevelItem(0).child(0).setText(0, "C1")
        item_1.setCheckState(0, QtCore.Qt.CheckState.Checked)
        self.tree.topLevelItem(0).child(0).setText(1, "X1")
        item_1.setCheckState(1, QtCore.Qt.CheckState.Checked)
        item_1 = QtWidgets.QTreeWidgetItem(item_0)
        self.tree.topLevelItem(0).child(1).setText(0, "C2")
        item_1.setCheckState(0, QtCore.Qt.CheckState.PartiallyChecked)
        self.tree.topLevelItem(0).child(1).setText(1, "X2")
        item_1.setCheckState(1, QtCore.Qt.CheckState.PartiallyChecked)
        item_1 = QtWidgets.QTreeWidgetItem(item_0)
        self.tree.topLevelItem(0).child(2).setText(0, "C3")
        item_1.setCheckState(0, QtCore.Qt.CheckState.Unchecked)
        self.tree.topLevelItem(0).child(2).setText(1, "X3")
        item_1.setCheckState(1, QtCore.Qt.CheckState.Unchecked)
        item_1 = QtWidgets.QTreeWidgetItem(item_0)
        item_1.setFlags(QtCore.Qt.ItemFlag.ItemIsSelectable|QtCore.Qt.ItemFlag.ItemIsDragEnabled|QtCore.Qt.ItemFlag.ItemIsUserCheckable)
        item_0 = QtWidgets.QTreeWidgetItem(self.tree)
        self.tree.topLevelItem(1).setText(0, "R2")
        item_0.setFlags(QtCore.Qt.ItemFlag.ItemIsSelectable|QtCore.Qt.ItemFlag.ItemIsDragEnabled|QtCore.Qt.ItemFlag.ItemIsUserCheckable)
        self.tree.header().setSortIndicatorShown(True)
        self.gridLayout_2.addWidget(self.tree, 1, 1, 1, 1)
        self.tabWidget.addTab(self.tab_2, "Tab 2")
        self.tab_3 = QtWidgets.QWidget()
        self.tab_3.setObjectName("tab_3")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.tab_3)
        self.verticalLayout.setObjectName("verticalLayout")
        self.splitter_2 = QtWidgets.QSplitter(parent=self.tab_3)
        self.splitter_2.setOrientation(QtCore.Qt.Orientation.Vertical)
        self.splitter_2.setObjectName("splitter_2")
        self.splitter = QtWidgets.QSplitter(parent=self.splitter_2)
        self.splitter.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.splitter.setObjectName("splitter")
        self.textBrowser = QtWidgets.QTextBrowser(parent=self.splitter)
        self.textBrowser.setUndoRedoEnabled(True)
        self.textBrowser.setHtml("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><meta charset=\"utf-8\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"hr { height: 1px; border-width: 0; }\n"
"li.unchecked::marker { content: \"\\2610\"; }\n"
"li.checked::marker { content: \"\\2612\"; }\n"
"</style></head><body style=\" font-family:\'Noto Sans\'; font-size:10pt; font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\';\">Text </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-weight:600;\">browser</span><span style=\" font-family:\'MS Shell Dlg 2\';\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-style:italic;\">with</span><span style=\" font-family:\'MS Shell Dlg 2\';\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; text-decoration: underline;\">some</span><span style=\" font-family:\'MS Shell Dlg 2\';\"> </span><span style=\" font-family:\'MS Shell Dlg 2\'; font-weight:600; font-style:italic;\">text </span><span style=\" font-family:\'MS Shell Dlg 2\';\">and </span><a href=\"http://google.com\"><span style=\" font-family:\'MS Shell Dlg 2\'; text-decoration: underline; color:#0000ff;\">links</span></a></p></body></html>")
        self.textBrowser.setOpenLinks(False)
        self.textBrowser.setObjectName("textBrowser")
        self.textEdit = QtWidgets.QTextEdit(parent=self.splitter)
        self.textEdit.setHtml("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><meta charset=\"utf-8\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"hr { height: 1px; border-width: 0; }\n"
"li.unchecked::marker { content: \"\\2610\"; }\n"
"li.checked::marker { content: \"\\2612\"; }\n"
"</style></head><body style=\" font-family:\'Noto Sans\'; font-size:10pt; font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-family:\'MS Shell Dlg 2\';\">Text edit</span></p></body></html>")
        self.textEdit.setObjectName("textEdit")
        self.calendarWidget = QtWidgets.QCalendarWidget(parent=self.splitter)
        self.calendarWidget.setObjectName("calendarWidget")
        self.groupBox = QtWidgets.QGroupBox(parent=self.splitter_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox.sizePolicy().hasHeightForWidth())
        self.groupBox.setSizePolicy(sizePolicy)
        self.groupBox.setTitle("GroupBox")
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.scrollArea_2 = QtWidgets.QScrollArea(parent=self.groupBox)
        self.scrollArea_2.setWidgetResizable(True)
        self.scrollArea_2.setObjectName("scrollArea_2")
        self.scrollAreaWidgetContents_2 = QtWidgets.QWidget()
        self.scrollAreaWidgetContents_2.setGeometry(QtCore.QRect(0, 0, 500, 529))
        self.scrollAreaWidgetContents_2.setObjectName("scrollAreaWidgetContents_2")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents_2)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.frame = QtWidgets.QFrame(parent=self.scrollAreaWidgetContents_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame.sizePolicy().hasHeightForWidth())
        self.frame.setSizePolicy(sizePolicy)
        self.frame.setFrameShape(QtWidgets.QFrame.Shape.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.frame.setObjectName("frame")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.frame)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.label_2 = QtWidgets.QLabel(parent=self.frame)
        self.label_2.setText("Frame")
        self.label_2.setObjectName("label_2")
        self.gridLayout_10.addWidget(self.label_2, 0, 0, 1, 1)
        spacerItem5 = QtWidgets.QSpacerItem(20, 46, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout_10.addItem(spacerItem5, 1, 0, 1, 1)
        self.gridLayout_9.addWidget(self.frame, 0, 1, 1, 1)
        self.toolBox = QtWidgets.QToolBox(parent=self.scrollAreaWidgetContents_2)
        self.toolBox.setObjectName("toolBox")
        self.page = QtWidgets.QWidget()
        self.page.setGeometry(QtCore.QRect(0, 0, 68, 447))
        self.page.setObjectName("page")
        self.toolBox.addItem(self.page, "Toolbox1")
        self.page_2 = QtWidgets.QWidget()
        self.page_2.setGeometry(QtCore.QRect(0, 0, 100, 30))
        self.page_2.setObjectName("page_2")
        self.toolBox.addItem(self.page_2, "Toolbox2")
        self.gridLayout_9.addWidget(self.toolBox, 0, 0, 2, 1)
        self.dockWidget = QtWidgets.QDockWidget(parent=self.scrollAreaWidgetContents_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.dockWidget.sizePolicy().hasHeightForWidth())
        self.dockWidget.setSizePolicy(sizePolicy)
        self.dockWidget.setWindowTitle("Dock widget")
        self.dockWidget.setObjectName("dockWidget")
        self.dockWidgetContents_3 = QtWidgets.QWidget()
        self.dockWidgetContents_3.setObjectName("dockWidgetContents_3")
        self.dockWidget.setWidget(self.dockWidgetContents_3)
        self.gridLayout_9.addWidget(self.dockWidget, 0, 2, 1, 1)
        self.mdiArea = QtWidgets.QMdiArea(parent=self.scrollAreaWidgetContents_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.mdiArea.sizePolicy().hasHeightForWidth())
        self.mdiArea.setSizePolicy(sizePolicy)
        self.mdiArea.setObjectName("mdiArea")
        self.gridLayout_9.addWidget(self.mdiArea, 1, 1, 1, 2)
        self.scrollArea_2.setWidget(self.scrollAreaWidgetContents_2)
        self.gridLayout_3.addWidget(self.scrollArea_2, 0, 0, 1, 1)
        self.verticalLayout.addWidget(self.splitter_2)
        self.tabWidget.addTab(self.tab_3, "Tab 3")
        self.verticalLayout_2.addWidget(self.tabWidget)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.verticalLayout_7.addWidget(self.scrollArea)

        self.retranslateUi(PreviewerQSS)
        self.tabWidget.setCurrentIndex(0)
        self.toolBox.setCurrentIndex(0)
        self.radioButton.clicked['bool'].connect(self.disabledRadioButton.setChecked) # type: ignore
        self.pushButton.toggled['bool'].connect(self.disabledPushButton.setChecked) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PreviewerQSS)
        PreviewerQSS.setTabOrder(self.styleIconsPathPicker, self.scrollArea)
        PreviewerQSS.setTabOrder(self.scrollArea, self.tabWidget)
        PreviewerQSS.setTabOrder(self.tabWidget, self.groupBox_2)
        PreviewerQSS.setTabOrder(self.groupBox_2, self.radioButton)
        PreviewerQSS.setTabOrder(self.radioButton, self.checkBox)
        PreviewerQSS.setTabOrder(self.checkBox, self.pushButton)
        PreviewerQSS.setTabOrder(self.pushButton, self.toolButton_1)
        PreviewerQSS.setTabOrder(self.toolButton_1, self.spinBox)
        PreviewerQSS.setTabOrder(self.spinBox, self.doubleSpinBox)
        PreviewerQSS.setTabOrder(self.doubleSpinBox, self.timeEdit)
        PreviewerQSS.setTabOrder(self.timeEdit, self.dateEdit)
        PreviewerQSS.setTabOrder(self.dateEdit, self.commandLinkButton)
        PreviewerQSS.setTabOrder(self.commandLinkButton, self.readOnlyComboBox)
        PreviewerQSS.setTabOrder(self.readOnlyComboBox, self.editableComboBox)
        PreviewerQSS.setTabOrder(self.editableComboBox, self.lineEdit)
        PreviewerQSS.setTabOrder(self.lineEdit, self.passwordEdit)
        PreviewerQSS.setTabOrder(self.passwordEdit, self.dateTimeEdit)
        PreviewerQSS.setTabOrder(self.dateTimeEdit, self.horizontalSlider)
        PreviewerQSS.setTabOrder(self.horizontalSlider, self.verticalSlider)
        PreviewerQSS.setTabOrder(self.verticalSlider, self.dial)
        PreviewerQSS.setTabOrder(self.dial, self.disabledRadioButton)
        PreviewerQSS.setTabOrder(self.disabledRadioButton, self.disabledCheckBox)
        PreviewerQSS.setTabOrder(self.disabledCheckBox, self.disabledPushButton)
        PreviewerQSS.setTabOrder(self.disabledPushButton, self.disabledToolButton_1)
        PreviewerQSS.setTabOrder(self.disabledToolButton_1, self.disabledSpinBox)
        PreviewerQSS.setTabOrder(self.disabledSpinBox, self.disabledDoubleSpinBox)
        PreviewerQSS.setTabOrder(self.disabledDoubleSpinBox, self.disabledTimeEdit)
        PreviewerQSS.setTabOrder(self.disabledTimeEdit, self.disabledDateEdit)
        PreviewerQSS.setTabOrder(self.disabledDateEdit, self.disabledCommandLinkButton)
        PreviewerQSS.setTabOrder(self.disabledCommandLinkButton, self.disabledReadOnlyComboBox)
        PreviewerQSS.setTabOrder(self.disabledReadOnlyComboBox, self.disabledEditableComboBox)
        PreviewerQSS.setTabOrder(self.disabledEditableComboBox, self.disabledLineEdit)
        PreviewerQSS.setTabOrder(self.disabledLineEdit, self.disabledPasswordEdit)
        PreviewerQSS.setTabOrder(self.disabledPasswordEdit, self.disabledDateTimeEdit)
        PreviewerQSS.setTabOrder(self.disabledDateTimeEdit, self.disabledHorizontalSlider)
        PreviewerQSS.setTabOrder(self.disabledHorizontalSlider, self.disabledVerticalSlider)
        PreviewerQSS.setTabOrder(self.disabledVerticalSlider, self.disabledDial)
        PreviewerQSS.setTabOrder(self.disabledDial, self.listWidget)
        PreviewerQSS.setTabOrder(self.listWidget, self.iconsListWidget)
        PreviewerQSS.setTabOrder(self.iconsListWidget, self.table)
        PreviewerQSS.setTabOrder(self.table, self.tree)
        PreviewerQSS.setTabOrder(self.tree, self.textBrowser)
        PreviewerQSS.setTabOrder(self.textBrowser, self.textEdit)
        PreviewerQSS.setTabOrder(self.textEdit, self.calendarWidget)
        PreviewerQSS.setTabOrder(self.calendarWidget, self.scrollArea_2)

    def retranslateUi(self, PreviewerQSS):
        _translate = QtCore.QCoreApplication.translate
        self.previewLabel.setText(_translate("PreviewerQSS", "Preview Style"))
        self.label_3.setText(_translate("PreviewerQSS", "Style Icons Path:"))
        self.styleIconsPathPicker.setToolTip(_translate("PreviewerQSS", "Enter the path to the icons used within the style sheet"))
        self.groupBox_2.setTitle(_translate("PreviewerQSS", "Enabled"))
        self.editableComboBox.setPlaceholderText(_translate("PreviewerQSS", "Enter text"))
        self.lineEdit.setPlaceholderText(_translate("PreviewerQSS", "Enter text"))
        self.groupBox_3.setTitle(_translate("PreviewerQSS", "Disabled"))
        __sortingEnabled = self.listWidget.isSortingEnabled()
        self.listWidget.setSortingEnabled(False)
        self.listWidget.setSortingEnabled(__sortingEnabled)
        self.iconsListWidget.setSortingEnabled(True)
        self.table.setSortingEnabled(True)
        __sortingEnabled = self.table.isSortingEnabled()
        self.table.setSortingEnabled(False)
        self.table.setSortingEnabled(__sortingEnabled)
        __sortingEnabled = self.tree.isSortingEnabled()
        self.tree.setSortingEnabled(False)
        self.tree.topLevelItem(0).child(3).setText(0, _translate("PreviewerQSS", "C4"))
        self.tree.topLevelItem(0).child(3).setText(1, _translate("PreviewerQSS", "X4"))
        self.tree.setSortingEnabled(__sortingEnabled)
from eric7.EricWidgets.EricPathPicker import EricPathPicker
